/*
 * ints.c -- 680x0 Linux general interrupt handling code
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file COPYING in the main directory of this archive
 * for more details.
 *
 * 07/03/96: Timer initialization, and thus mach_sched_init(),
 *           removed from request_irq() and moved to init_time().
 *           We should therefore consider renaming our add_isr() and
 *           remove_isr() to request_irq() and free_irq()
 *           respectively, so they are compliant with the other
 *           architectures.                                     /Jes
 */

#include <linux/types.h>
#include <linux/sched.h>
#include <linux/kernel_stat.h>
#include <linux/errno.h>

#include <asm/system.h>
#include <asm/irq.h>
#include <asm/traps.h>
#include <asm/page.h>
#include <asm/machdep.h>

/* list is accessed 0-6 for IRQs 1-7 */
static isr_node_t *isr_list[7];

/* The number of spurious interrupts */
volatile unsigned long num_spurious;
/*
unsigned long interrupt_stack[PAGE_SIZE/sizeof(long)];
*/

/*
 * void init_IRQ(void)
 *
 * Parameters:	None
 *
 * Returns:	Nothing
 *
 * This function should be called during kernel startup to initialize
 * the IRQ handling routines.
 */

void init_IRQ(void)
{
}

void insert_isr (isr_node_t **listp, isr_node_t *node)
{
}

void delete_isr (isr_node_t **listp, isrfunc isr, void *data)
{
}

#define NUM_ISR_NODES 100
static isr_node_t nodes[NUM_ISR_NODES];

isr_node_t *new_isr_node(void)
{
  return NULL;
}

int add_isr (unsigned long source, isrfunc isr, int pri, void *data,
	     char *name)
{
  return 0;
}

int remove_isr (unsigned long source, isrfunc isr, void *data)
{
  return 0;
}

void call_isr_list(int irq, isr_node_t *p, struct pt_regs *fp)
{
}

asmlinkage void process_int(int vec, struct pt_regs *regs)
{
}

int request_irq(unsigned int irq,
		void (*handler)(int, void *, struct pt_regs *),
		unsigned long flags, const char * devname, void *dev_id)
{
  return 0;
}

void free_irq(unsigned int irq, void *dev_id)
{
}

/*
 * Do we need these probe functions on the m68k?
 */
unsigned long probe_irq_on (void)
{
  return 0;
}

int probe_irq_off (unsigned long irqs)
{
  return 0;
}

void enable_irq(unsigned int irq_nr)
{
}

void disable_irq(unsigned int irq_nr)
{
}

int get_irq_list(char *buf)
{
  return 0;
}
